﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using credit_score_WebApi.Data;

#nullable disable

namespace credit_score_WebApi.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    [Migration("20230225044515_firstDatabaseCreation")]
    partial class firstDatabaseCreation
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.14")
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder, 1L, 1);

            modelBuilder.Entity("credit_score_WebApi.Models.CreditReport", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<string>("credit_history")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal>("debts")
                        .HasColumnType("decimal(18,2)");

                    b.Property<int>("user_id")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.ToTable("CreditReports");
                });

            modelBuilder.Entity("credit_score_WebApi.Models.LoanApplication", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<decimal>("loan_amount")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("purpose")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("status")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("user_id")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.ToTable("LoanApplications");
                });

            modelBuilder.Entity("credit_score_WebApi.Models.LoanApproval", b =>
                {
                    b.Property<int>("loan_approval_id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("loan_approval_id"), 1L, 1);

                    b.Property<int>("loan_application_id")
                        .HasColumnType("int");

                    b.Property<int>("loan_eligibility_id")
                        .HasColumnType("int");

                    b.HasKey("loan_approval_id");

                    b.ToTable("LoanApproval");
                });

            modelBuilder.Entity("credit_score_WebApi.Models.LoanEligibility", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<int>("credit_report_id")
                        .HasColumnType("int");

                    b.Property<decimal>("interest_rate")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("max_loan_amount")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("monthly_repayment")
                        .HasColumnType("decimal(18,2)");

                    b.Property<int>("repayment_period")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.ToTable("LoanEligibilities");
                });

            modelBuilder.Entity("credit_score_WebApi.Models.User", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<string>("address")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("email")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("first_name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("last_name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("nin")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("password")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Users");
                });
#pragma warning restore 612, 618
        }
    }
}
